Package twisted :: Package spread :: Module pb :: Class PBServerFactory

[frames | no frames]

## Class PBServerFactory

      Factory --+
                |
    ServerFactory --+
                    |
                   PBServerFactory

Server factory for perspective broker.

Login is done using a Portal object, whose realm is expected to return avatars implementing IPerspective. The credential checkers in the portal should accept IUsernameHashedPassword or IUsernameMD5Password.

Alternatively, any object implementing or adaptable to IPBRoot can be used instead of a portal to provide the root object of the PB server.

Method Summary
| `__init__(self, root, unsafeTracebacks)`
| ``buildProtocol`(self, addr)` Return a Broker attached to me (as the service provider).
| `clientConnectionMade(self, protocol)`
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
`class` | `protocol` = `twisted.spread.pb.Broker`
`int` | `unsafeTracebacks` = 0
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0

Method Details

### buildProtocol(self, addr)

Return a Broker attached to me (as the service provider).

  Overrides:
    `twisted.internet.protocol.Factory.buildProtocol`

Class Variable Details

### unsafeTracebacks

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Sat May 15 20:07:52 2004 | http://epydoc.sf.net